<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');


$formname = 'Quotation';
$maindb = 'quotmain';
$file = '';
$source = "Q";

$zdb = $_SESSION["zdbyear_" . $dbname];
$zroot = $_SESSION["zdir"];
mysqli_select_db($conn, $zdb);

$mht = 'height:20px;';
$admin = $_SESSION["admin_" . $dbname];
$vouchno = $_REQUEST["vouchno"];
//browse($vouchno);
$mainqry = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') AS vouchdt FROM `$maindb` WHERE `vouchno`='$vouchno'") or die(mysqli_error($conn));
$getmdata = mysqli_fetch_array($mainqry);

$zcomp = mysqli_query($conn, "SELECT * FROM $zroot.`company`") or die(mysqli_error($conn));
$comp = mysqli_fetch_assoc($zcomp);

$cmpname = mysqli_query($conn, "SELECT * From $zroot.`company`")or die(mysqli_error($conn));
$getcmpname = mysqli_fetch_array($cmpname);

//if (isset($_POST["subpdf"])) {
//browse('idar');
//ini_set("session.auto_start", 0);
require("library/fpdf/fpdf.php");

class pdf extends fpdf {

    function Footer() {

//Position at 1.5 cm from bottom
        $this->SetY(-15);

//Arial italic 8
        $this->SetFont('Arial', 'I', 8);
//Page number
        $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
    }

}

//browse('udar');

$pdf = new pdf('P', 'mm', 'A4');

$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 16);
$pdf->SetTextColor(0, 0, 0);
//$pdf->Rect(5, 5, 200, 120, 'D');
$pdf->Image('FINAL1.jpg', 10, 8, 31, 0, 'JPEG');
$pdf->Cell(135, 6, $getcmpname['pname'], 0, 0, 'C');
$pdf->Ln(10);
$pdf->SetFont('Arial', '', 12);
$pdf->Cell(32, 6, "", 0, 0, 'L');
$pdf->Cell(158, 6, "$getcmpname[add1] $getcmpname[add2] $getcmpname[add3]", 0, 0, 'L');
$pdf->Ln();
$pdf->Cell(32, 6, "", 0, 0, 'L');
$pdf->Cell(158, 6, "$getcmpname[mobile] / $getcmpname[mobile2]", 0, 0, 'L');
$pdf->Ln();
$pdf->Cell(135, 6, "$getcmpname[email]", 0, 0, 'C');
$pdf->Ln(8);

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(190, 7, "$formname", 0, 0, 'C');
$pdf->Ln();
$pdf->Ln();
$pdf->SetFont('Arial', '', 9);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(9, 2, "M/s. :", 0, 0);

$pdf->SetFont('Arial', 'B', 11);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(80, 2, "$getmdata[client]", 0, 0);
//$pdf->Cell(59, 5, "Date: $getmdata[vouchdt]", 0, 0);

$pdf->Ln(7);
$pdf->SetFont('Arial', '', 12);
$pdf->SetTextColor(0, 0, 0);
mysqli_select_db($conn,$zdb);
$gcust = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode`='$getmdata[party]'") or die(mysqli_error($conn));
$cust = mysqli_fetch_array($gcust);


$pdf->SetDrawColor(206, 169, 98);
$pdf->Line(42, 38, 205, 38);
$pdf->SetFont('Arial', '', 9);
$pdf->SetDrawColor(0, 0, 0);

//$pdf->SetFillColor(96, 130, 191);
$pdf->Cell(54, 1, "ARCHITECT/INTERIOR DESIGNER :", 0, 0);
$pdf->SetFont('Arial', 'B', 11);

//$pdf->SetFillColor(96, 130, 191);
$pdf->Cell(190, 1, " $getmdata[architect]", 0, 0);
$pdf->Ln(7);

$pdf->SetFont('Arial', '', 9);
$pdf->SetTextColor(0, 0, 0);
//$pdf->SetFillColor(96, 130, 191);


$pdf->Cell(10, 0, "SITE :", 0, 0);
$pdf->SetFont('Arial', 'B', 11);
$pdf->SetTextColor(0, 0, 0);
//$pdf->SetFillColor(96, 130, 191);

$pdf->Cell(190, 0, "$getmdata[site]", 0, 0);
$pdf->Ln(7);

$pdf->SetFont('Arial', '', 9);
$pdf->Cell(14, -1, "PO NO. :", 0, 0);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(142, -1, "$getmdata[vouchno]", 0, 0);
$pdf->SetFont('Arial', '', 9);
$pdf->Cell(12, -1, "DATE :", 0, 0);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(150, -1, "$getmdata[vouchdt]", 0, 0);
$pdf->Ln(4);

$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->SetFillColor(206, 169, 98);
$cl = 7;

$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(10, $cl, 'Sr.', 1, 0, 'C', 1);
$pdf->Cell(143, $cl, 'Particulars', 1, 0, 'C', 1);
$pdf->Cell(20, $cl, 'Size.', 1, 0, 'C', 1);
$pdf->Cell(24, $cl, 'Rate', 1, 0, 'C', 1);
//$pdf->Cell(20, $cl, 'Rate', 1, 0, 'C', 1);
//$pdf->Cell(20, $cl, 'Amount', 1, 0, 'C', 1);
$pdf->Ln();
$pdf->SetFont('Arial', '', 10);
$pdf->SetFillColor(255, 255, 255);
$pdf->SetTextColor(0, 0, 0);
$ctr = 1;
$ctab = 0;
$totqty = 0;
$gettran = mysqli_query($conn, "SELECT * FROM `quottran` WHERE `vouchno`='$vouchno' order by srno")or die(mysqli_error($conn));
while ($row = mysqli_fetch_array($gettran)) {
    if ($row['qty'] > 0) {
        $qty = $row['qty'];
    } else {
        $qty = "";
    }
    if ($row['rate'] > 0) {
        $rate = $row['rate'];
    } else {
        $rate = "";
    }
    if ($row['amount'] > 0) {
        $amount = $row['amount'];
    } else {
        $amount = "";
    }
    
    $particulars = $row['particulars'];
    $unit = $row['unit'];

    $pdf->Cell(10, $cl, "$ctr", 1, 0, 'C', 1);
    $pdf->Cell(143, $cl, "$particulars", 1, 0, 'C', 1);
    $pdf->Cell(20, $cl, "$qty", 1, 0, 'C', 1);
    $pdf->Cell(24, $cl, "$unit", 1, 0, 'R', 1);
//    $pdf->Cell(20, $cl, "$rate", 1, 0, 'C', 1);
//    $pdf->Cell(20, $cl, "$amount", 1, 0, 'C', 1);
    $pdf->Ln();

    $ctr++;
    $ctab = $ctab + 1;
    $totqty = $showtran['qty'] + $totqty;
    $totamt = $row['amount'] + $totamt;
}
if ($ctab < 12) {
    for ($i = $ctab; $i <= 12; $i++) {
        $ctab = $ctab + 1;
        $pdf->Cell(10, $cl, "", 1, 0, 'C', 1);
        $pdf->Cell(143, $cl, "", 1, 0, 'C', 1);
        $pdf->Cell(20, $cl, "", 1, 0, 'C', 1);
        $pdf->Cell(24, $cl, "", 1, 0, 'C', 1);
//        $pdf->Cell(20, $cl, "", 1, 0, 'C', 1);
//        $pdf->Cell(20, $cl, "", 1, 0, 'C', 1);
        $pdf->Ln();
    }
}
$tnetamt = number_format($totamt,2);
$remark = $getmdata['remark'] . ' ' . $getmdata['remark2']; 
$pdf->Cell(197, $cl, "$remark", '1', 0, 'L', 1);
//$pdf->Cell(15, $cl, "", 'TLB', 0, 'C', 1);
//$pdf->Cell(29, $cl, "", 'TBR', 0, 'R', 1);
$pdf->Ln();
$pdf->Cell(197, $cl, "Created By : $getmdata[createby]", 'LBR', 0, 'L', 1);
//$pdf->Cell(43, $cl, "$getmdata[createby]", 'TBR', 0, 'L', 1);


//browse();
$pdf->Ln();
$pdf->Ln();
$y_aqui = $pdf->Gety();
$pdf->Rect(10,$y_aqui,197,48,'D');



$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(70, 7, "", 0, 0,'C');
$pdf->Cell(50, 7, "GSTIN - $getcmpname[gst]", 0, 0,'C');
$pdf->Ln(6);

$pdf->SetTextColor(0, 0, 0);
$pdf->SetFillColor(206, 169, 98);
$cl = 7;

$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(197, 5, 'TERMS & CONDITIONS', 1, 0, 'L', 1);
$pdf->Ln();
$pdf->SetFillColor(255, 255, 255);
$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(197, $cl, '1. MATERIAL IS WARRANTED/GUARANTEED BY MANUFACTURER NOT BY US', 0, 0, 'L', 0);
$pdf->Ln(3);
$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(197, $cl, '2. TRANSPORTATION & UNLOADING CHARGES WILL BE CHARGED EXTRA', 0, 0, 'L', 0);
$pdf->Ln(3);
$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(197, $cl, '3. GST WILL BE CHARGED EXTRA.', 0, 0, 'L', 0);
$pdf->Ln(3);
$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(197, $cl, '4. PAYMENT 100% ADVANCE ALONG WITH PURCHASE ORDER.', 0, 0, 'L', 0);
$pdf->Ln(3);
$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(197, $cl, '5. GOODS WILL BE DISPATCHED WITHIN 7 WORKING DAYS FROM THE DATE OF ORDER PLACED', 0, 0, 'L', 0);
$pdf->Ln(3);
$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(197, $cl, "6. CHEQUE WILL BE IN THE NAME OF $getcmpname[pname] .", 0, 0, 'L', 0);
$pdf->Ln(3);
$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(197, $cl, '7. THIS QUOTATION IS VALID FOR 7 DAYS.', 0, 0, 'L', 0);
$pdf->Ln(3);
$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(197, $cl, '8. GOODS ONCE SOLD WILL NOT BE TAKEN BACK OR REPLACE.', 0, 0, 'L', 0);
$pdf->Ln(3);
$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(197, $cl, '9. OUR RESPONSIBILITY CEASES ON DELIVERY OF GOODS.', 0, 0, 'L', 0);
$pdf->Ln(3);
$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(197, $cl, "10.GOODS ARE DISPATCHED AT OWNER'S RISK", 0, 0, 'L', 0);
$pdf->Ln(3);
$pdf->SetFont('Arial', 'B', 6);
$pdf->Cell(197, $cl, '11.SUBJECT TO MUMBAI JURISDICATION ONLY.', 0, 0, 'L', 0);
$pdf->Ln(9);

//$y_aqui2 = $pdf->Gety();

//$pdf->Rect(10,$y_aqui2,100,20,'D');
//
//$pdf->SetTextColor(0, 0, 0);
//$pdf->SetFillColor(206, 169, 98);

//$pdf->SetFont('Arial', 'B', 8);
//$pdf->Cell(100, 5, 'BANK DETAILS', 1, 0, 'C', 1);
//$pdf->Ln();
//
//$pdf->SetFillColor(255, 255, 255);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(100, $cl, "BANK NAME : $getcmpname[bankname]", 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->Cell(100, $cl, "ACCOUNT NAME : $getcmpname[acname]", 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->Cell(100, $cl, "ACCOUNT No. : $getcmpname[acno]", 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->Cell(100, $cl, "BRANCH : $getcmpname[branchname]", 0, 0, 'L', 0);
//$pdf->Ln();



//$pdf->Ln(20);
//$pdf->SetFont('Arial', '', 12);
//$pdf->Cell(130, 7, "____________________", 0, 0, 'L');
//$pdf->Cell(30, 7, "____________________", 0, 0, 'L');
//$pdf->Ln();
//$pdf->SetFont('Arial', '', 12);
//$pdf->Cell(125, 7, '   Authorised Signatory ', 0, 0, 'L');
//$pdf->Cell(30, 7, 'Received By/Account Holder ', 0, 0, 'L');
//$pdf->Line(10, 30, 200, 30);
//$pdf->Ln(5);
//ob_end_flush(); 
ob_end_clean();
$pdf->Output("Quotation - $getmdata[client]-" . $getmdata['vouchno'] . ".pdf", "I");
//}
?>